package com.prolog.cs.biz.outbound.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author zzz
 * @desc
 * @date 2021/5/14
 */
@ApiModel("拣选确认入参")
public class PickTaskConfirmVO implements Serializable {


    private static final long serialVersionUID = -8921628972624817095L;

    @ApiModelProperty(value = "工号")
    private String operatorCode;

    @ApiModelProperty(value = "任务明细id")
    private String pickTaskDId;

    @ApiModelProperty(value = "数量")
    private BigDecimal pickQty;

    @ApiModelProperty(value = "仓id")
    private String warehouseId;

    @ApiModelProperty(value = "冲红数量")
    private BigDecimal redQty;

    @ApiModelProperty(value = "冲红原因")
    private String redReason;

    @ApiModelProperty(value = "错误处理方式 0-还货回库  1-入盘点库")
    private Integer messageType;

    public BigDecimal getRedQty() {
        return redQty;
    }

    public void setRedQty(BigDecimal redQty) {
        this.redQty = redQty;
    }

    public String getRedReason() {
        return redReason;
    }

    public void setRedReason(String redReason) {
        this.redReason = redReason;
    }

    public Integer getMessageType() {
        return messageType;
    }

    public void setMessageType(Integer messageType) {
        this.messageType = messageType;
    }

    public String getOperatorCode() {
        return operatorCode;
    }

    public void setOperatorCode(String operatorCode) {
        this.operatorCode = operatorCode;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public BigDecimal getPickQty() {
        return pickQty;
    }

    public void setPickQty(BigDecimal pickQty) {
        this.pickQty = pickQty;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }
}
